首页 资讯 社群 我的社区 搜索

永久解决Sublime包管理package control 打开install package报错 There are no packages available for installation

yimo~
2020-01-17 14:46:05

很多用户在使用sumblime安装插件的时候,打开package control的install package会出现报错:There are no packages available for installation。如下图:

之所以会出现这种错误的原因是因为sublime中的包管理install package依赖一个channel_v3.json文件,而这个json文件默认每次打开package control都会从一个网址下载,而当网址未响应的时候(实事证明经常出问题),就会出现报错。

1、下载channel_v3.json文件

  • 本地下载一个channel_v3.json文件。

    2、替换默认下载方式

  • 放入本地任意目录,然后打开sublime中的Setting-User

在代码中添加下面这一段,以我的放在E盘为例:

  • 保存重启就OK了。

3、sublime常用插件推荐

*sublime是一个扩展性很强的软件,这里为大家推荐几个好用到爆的插件:

(1)SublimeCodeIntel

一个全功能的 Sublime Text 代码自动完成引擎 ,虽然和webstorm的自动寻找还是稍逊一筹,不过对于大部分人来说够用了,能很方便找到你想要的方法

支持的语言挺多的(JavaScript, Mason, XBL, XUL, RHTML, SCSS, Python, HTML, Ruby, Python3, XML, Sass, XSLT, Django, HTML5, Perl, CSS, Twig, Less, Smarty, Node.js, Tcl, TemplateToolkit, PHP.)

(2)Emmet

它使用仿CSS选择器的语法来生成代码,大大提高了HTML/CSS代码编写的速度,可以快速生成代码

(3)AutoFileName

文件名自动补全,根据路径自动提示该路径下的文件

用户评论